### bottledash default configuration
### created by sean engelhardt >sean.engelhardt@intevation.de
### license: GNU GPL >= v2. See LICENSE for details
###
### Usage:
### define the tiles for the dashboard in sections

# Settings:
# example:
# --------------------
# [settings]
# show_top_bar=True
# --------------------
# options:
#   show_top_bar (True / False) [optional]
#     If True, the dashboard will show the current date and the time on the top
#     if False, the dashboard will not show a top-bar
#   default: True
#   hint: the top-bar has got a height of 5%!

[settings]
show_top_bar=False
rows=2
check_interval=5

# Tiles:
# example:
# --------------------
# [tile1]
# type=mon
# source=192.168.0.2
# status=up
# --------------------
# options:
#   type (mon / d3js) [required]
#     tells the program what kind of tile you need.
#     a "mon" tile can be used for IT infrastructure monitoring purposes
#     a d3js tile can be used to display a chart
#   default: -
#
#   source (<IP> or <FQDN>) [required for mon-types]
#     ONLY FOR MON-Type tiles!
#     tells the tile which resource to watch
#   default: none
#
#   status: (up / down) [required]
#     ONLY FOR DEBUGGING PURPOSE - WILL BE REMOVED LATER
#     simulates up and down events for mon-type-tiles
#
#   div_name: (identifier) [required for d3js-types]
#
#   script: (name of a script without extension) [required for d3js-types0]
#


[tile1]
type=mon
source=192.168.0.2
status="dynamic"

[tile2]
type=mon
source=192.168.2.3
status="dynamic"

[tile3]
type=mon
source=192.168.4.3
status="dynamic"

#[tile4]
#type=mon
#source=192.168.4.56
#status="dynamic"

[tile4]
type=d3js
div_name=techintern
script=display_issues_techintern

#[tile5]
#type=d3js
#div_name=webview_test
#script=webview_template
